cURL
curl --request GET \
--url https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId} \
--header 'x-api-key: <api-key>'HttpResponse<String> response = Unirest.get("https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}")
.header("x-api-key", "<api-key>")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"isApproved": true,
"status": "ONLINE",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": [
"CASH"
],
"countriesSupported": [
"BG",
"HN",
"ML",
"PL"
],
"countriesExcluded": [
"UY"
],
"kycSupported": [
"ALL"
],
"kycExcluded": [
"OTHER"
],
"currenciesSupported": [
"USD",
"EUR",
"GBP"
],
"currenciesExcluded": [
"CHF"
],
"nationalitiesSupported": [
"BULGARIAN",
"UKRAINIAN",
"HUNGARIAN"
],
"nationalitiesExcluded": [
"FINNISH",
"CROATIAN"
]
},
"budget": null,
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": true
}
]
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Delivery Channel
View Delivery Channel
GET
/
api
/
DeliveryChannel
/
Get
/
{providerDeliveryChannelId}
cURL
curl --request GET \
--url https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId} \
--header 'x-api-key: <api-key>'HttpResponse<String> response = Unirest.get("https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}")
.header("x-api-key", "<api-key>")
.asString();import requests
url = "https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/DeliveryChannel/Get/{providerDeliveryChannelId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"isApproved": true,
"status": "ONLINE",
"providerDeliveryChannelId": "ced2396b-32b5-4b08-bd98-7830dfb2b622",
"name": {
"language": "EN",
"translation": "Bulgaria Moneygram"
},
"shortDescription": {
"language": "EN",
"translation": "Collect your cash transfer at any MoneyGram agent location in Bulgaria using your valid identification and transaction reference number."
},
"landingPage": "www.moneygram.com",
"contacts": [
{
"email": "john_doe@moneygram.com",
"name": "John Doe",
"phone": "+902129343472"
}
],
"callCenter": {
"phone": "+18009269400",
"email": "customerservice@moneygram.com",
"website": "https://www.moneygram.com/mgo/ie/en/help/contact/",
"whatsapp": "+905441112233"
},
"availability": {
"categoriesSupported": [
"CASH"
],
"countriesSupported": [
"BG",
"HN",
"ML",
"PL"
],
"countriesExcluded": [
"UY"
],
"kycSupported": [
"ALL"
],
"kycExcluded": [
"OTHER"
],
"currenciesSupported": [
"USD",
"EUR",
"GBP"
],
"currenciesExcluded": [
"CHF"
],
"nationalitiesSupported": [
"BULGARIAN",
"UKRAINIAN",
"HUNGARIAN"
],
"nationalitiesExcluded": [
"FINNISH",
"CROATIAN"
]
},
"budget": null,
"deliveryOptions": [
{
"fieldLabel": "IBAN (22 characters)",
"fieldName": "accountNumber",
"fieldMaxLength": 28,
"fieldMinLength": 28,
"dataType": "STRING",
"defaultValue": "",
"validationRegex": "^HN[0-9A-Za-z]*$",
"isRequired": true
}
]
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Authorizations
API Key required in x-api-key header
Path Parameters
Unique identifier (UUID) of the provider’s delivery channel. Used to reference this specific configuration in API operations.
⌘I
